<?php
  
# site url with end-slash
$_CONFIG['SITE_URL'] = 'http://netams/monitor/';

# DB type: mysql, postgres, oracle (PHP should be in appropriate way compiled) ...
# but script are tested only with mysql !!!
$_CONFIG['DB_TYPE'] = 'mysql';

# DB host, format: 'host' or 'host:port'
# examples: 'localhost', 'localhost:3306', '192.168.0.1:3306'
$_CONFIG['DB_HOST'] = 'localhost';

# DB user
$_CONFIG['DB_USER'] = 'root';

# DB password
$_CONFIG['DB_PASSWORD'] = '';

# DB database name
$_CONFIG['DB_NAME'] = 'netams';

# filter for source trafic
# example: "192.168.0." => all trafic with source addresses NOT LIKE "192.168.0.x" wiil be show 
$_CONFIG['NOT_SRC_IP_CONDITION'] = '';

# traffic positions per page by default
$_CONFIG['DEFAULT_TRAFFIC_PP'] = 20;

# default start time type
# possible values: 
# 'hour' (begin of current hour), 
# 'day' (begin of current day), 
# 'week' (begin of current week), 
# 'month' (begin of current month)
$_CONFIG['DEFAULT_START_TIME'] = 'month';

# resolve hosts by default?
$_CONFIG['DEFAULT_RESOLVE_HOSTS'] = true;

# group data by default?
$_CONFIG['DEFAULT_GROUP_DATA'] = true;

# language, example: 'ru', 'en'
$_CONFIG['LANGUAGE'] = 'ru';

# directory with templates
$_CONFIG['DIR_WITH_TEMPLATES'] = 'templates';

# default template
$_CONFIG['DEFAULT_TEMPLATE'] = 'default';

# directory for caching db & dns queries
$_CONFIG['CACHE_DIR'] = 'cache/';

# filename for saving statistics
$_CONFIG['SAVE_STAT_FILE_NAME'] = 'statistics.csv';

# encoding for saving statistics (in format of iconv lib)
$_CONFIG['SAVE_STAT_FILE_ENCODING'] = 'windows-1251';

# delimiter for fields in file with statistics
$_CONFIG['SAVE_STAT_FILE_DELIMITER'] = ";";

# version of script
$_CONFIG['SCRIPT_VERSION'] = '1.1.0';

?>