<?php

# array for collecting output data
$_USER = array();

# get current year
$_VARS['CURRENT_YEAR'] = date("Y");

# get lang data
if (!function_exists('iconv') and isset($_GET['save']))
{
	$_CONFIG['LANGUAGE'] = 'en';
}

setlocale(LC_ALL, $_CONFIG['LANGUAGE'] . '_' . strtoupper($_CONFIG['LANGUAGE'])  . '.UTF-8');
$lang_file = 'langs/' . $_CONFIG['LANGUAGE'] . '/lang.inc.php';
clearstatcache();
if (file_exists($lang_file)) require_once($lang_file);

$path_apx = '';
define('IN_SITE', true);
ini_set("display_errors", "1");

ob_start();

# send headers
require_once("includes/headers.inc.php");

# initialization template engine
require_once($path_apx . "includes/template.inc.php");
$templates_data = get_templates_data_by_path($path_apx . $_CONFIG['DIR_WITH_TEMPLATES']);
if (isset($_POST['theme']))
{
	  foreach($TemplatesInfo as $k=>$v)
	  if (strtoupper($v['english name']) == strtoupper($_POST['theme']))
	  {
			  setcookie('default_template', $_POST['theme'], time()+60*60*24*365);
			  header("Location: $_POST[request_uri]", true);
			  break;
	  }
}
$default_template_index = 0;
foreach($templates_data as $k=>$v) if (strtoupper($v['english name']) == strtoupper($_CONFIG['DEFAULT_TEMPLATE'])) $default_template_index = $k;
if (isset($_COOKIE['default_template']) && $_COOKIE['default_template']!='') foreach($templates_data as $k=>$v) if (strtoupper($v['english name']) == strtoupper($_COOKIE['default_template'])) $default_template_index = $k;
$_VARS['TPL_PATH'] = $_CONFIG['DIR_WITH_TEMPLATES'] . "/" . $templates_data[$default_template_index]['tpl_dir'] . "/";
$template = new template($path_apx . $_VARS['TPL_PATH']);

# DB initialization
require_once("includes/database.inc.php");
if (!isset($db)) $db = new unidb();
$db->set_db_type($_CONFIG['DB_TYPE']);
$db->connect($_CONFIG['DB_HOST'], $_CONFIG['DB_USER'], $_CONFIG['DB_PASSWORD'], $_CONFIG['DB_NAME']);

require_once("includes/engine.inc.php");
require_once('includes/network.inc.php');

fix_magic_quotes_gpc();

?>